<?php

namespace App\Models;

class Company extends Eloquent {

	protected $table = 'companies';
	public $timestamps = true;
	protected $fillable = array('name', 'location_id', 'admin_id', 'web_link', 'image_path', 'about_company');

	public function jobs()
	{
		return $this->hasMany('App\Models\Job');
	}

	public function location()
	{
		return $this->belongsTo('App\Models\Location');
	}

	public function admin()
	{
		return $this->belongsTo('App\Models\Admin');
	}

	public function profiles()
	{
		return $this->belongsToMany('App\Models\Profile');
	}

}