<?php

namespace App\Models;

class Job extends Eloquent {

	protected $table = 'jobs';
	public $timestamps = true;
	protected $fillable = array('title', 'company_id', 'location_id', 'category_id', 'jop_type_id', 'salary', 'description', 'requirement', 'experience_level', 'status');

	public function category()
	{
		return $this->belongsTo('App\Models\Category');
	}

	public function location()
	{
		return $this->belongsTo('App\Models\Location');
	}

	public function company()
	{
		return $this->belongsTo('App\Models\Company');
	}

	public function job_type()
	{
		return $this->belongsTo('App\Models\JobType');
	}

	public function applications()
	{
		return $this->belongsToMany('App\Models\Application');
	}

	public function profiles()
	{
		return $this->belongsToMany('App\Models\Profile');
	}

	public function notifications()
	{
		return $this->hasMany('App\Models\Notification');
	}

}